Subject: [PATCH 0/7] gnu: Add hydroxide.

From: Cairn <[email-masked]>
Date: Sun, 21 Aug 2022 19:33:14 +0000

I packaged Hydroxide to let you know that I packaged Hydroxide. 🙃

https://github.com/emersion/hydroxide

Here's the list of packages in this patchset:

 - go-github-com-emersion-go-imap (required version update)
 - go-github-com-boltdb-bolt
 - go-github-com-emersion-go-bcrypt
 - go-github-com-emersion-go-mbox
 - go-github-com-emersion-go-vcard
 - go-github-com-emersion-go-webdav
 - hydroxide

None of of the dependencies rely on each other, so commit order is irrelevant as long as Hydroxide is last. Several of these patches rely on the Aerc patchset however:

https://issues.guix.gnu.org/55903

`go-github-com-protonmail-go-crypto`, `go-github-com-emersion-go-message`, `go-github-com-emersion-go-smtp` and their dependencies are already packaged for use with Aerc, so this patchset shouldn't be accepted before Aerc is accepted.

Also, some of Hydroxide's dependencies were already included in Guix.

`go-github-com-emersion-go-imap` was already packaged, but I needed to bump the version so the `go-imap-move`[1] and `go-imap-specialuse`[2] extensions were merged. I sent PR #224[3] to avoid having to package those extensions separately.

`go-golang-org-x-crypto`, `go-golang-org-x-sys` and `go-golang-org-x-term` were also already packaged, and only the latter is directly required by Hydroxide.

Finally, about revision numbers, I'm using the latest Hydroxide commit in order to access my PR and to avoid requiring `go-github-com-mattn-go-isatty` (removed in commit 482bf89). I've also used the latest version for `go-github-com-emersion-go-webdav`, since most recent tagged version is behind enough to cause the Hydroxide build to fail.

[1]: https://github.com/emersion/go-imap-move
[2]: https://github.com/emersion/go-imap-specialuse
[3]: https://github.com/emersion/hydroxide/pull/224

Cairn (7):
  gnu: go-github-com-emersion-go-imap: Update to 1.2.1.
  gnu: Add go-github-com-boltdb-bolt.
  gnu: Add go-github-com-emersion-go-bcrypt.
  gnu: Add go-github-com-emersion-go-mbox.
  gnu: Add go-github-com-emersion-go-vcard.
  gnu: Add go-github-com-emersion-go-webdav.
  gnu: Add hydroxide.

 gnu/packages/golang.scm | 125 +++++++++++++++++++++++++++++++++++++++-
 gnu/packages/mail.scm   |  36 ++++++++++++
 2 files changed, 159 insertions(+), 2 deletions(-)

-- 
2.37.2